%if (0%{?rhel} && 0%{?rhel} < 6)
%global tomcat tomcat5
%else
%global tomcat tomcat6
%endif

%define help_root /var/lib/%{tomcat}/webapps/rhn/help
Name: rhn-i18n-guides
Summary: RHN Web i18n documentation packages
Group: RHN/Web
License: RHN Subscription License
Version: 5.8.0.4
Release: 1%{?dist}
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
BuildRequires: %{tomcat}
Requires: %{tomcat}

%description
This package contains the i18n documentation for the Red Hat Network
website, clients, satellites, proxies, and other related software.

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT%{help_root}
cp -fapRdv * $RPM_BUILD_ROOT%{help_root}
rm -f $RPM_BUILD_ROOT%{help_root}/*.spec

%post
# remove the cached help pages
rm -rf /var/cache/%{tomcat}/work/Catalina/localhost/rhn/org/apache/jsp/help

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,tomcat,tomcat,775)
%dir %{help_root}
%{help_root}/*

%changelog
* Fri Feb 09 2018 Grant Gainey 5.8.0.4-1
- 1458023 - fixes for 1496367
- 1458023 - use modified common.css files
- 1458023 - update docs
- link images directory properly

* Mon Jun 12 2017 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.3-1
- update user-guide
- updating installation-guide
- updating proxy-installation guide
- update getting-started-guide
- update client-configuration guide

* Wed May 31 2017 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.2-1
- 1446310 - fixup of links
- fixup documentation start start pages

* Mon May 29 2017 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.1-1
- update docs for 5.8

* Thu Feb 04 2016 Grant Gainey 5.7.0.1-4
- 1249153 - Fix user/getting-started refresh-link for IE

* Wed Feb 18 2015 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.1-3
- 1180263 - help directory should have same rights as defined by spacewalk-java

* Wed Feb 04 2015 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.1-2
- 1180264 - don't link non-existing image

* Wed Jan 07 2015 Stephen Herr <sherr@redhat.com> 5.7.0.1-1
- bump version to force build

* Wed Jan 07 2015 Stephen Herr <sherr@redhat.com> 5.7.0.0-2
- Move proxy docs to correct place
- update pdfs
- Updating Sat 5.7 docs

* Fri Nov 14 2014 Tomas Lestach <tlestach@redhat.com> 5.7.0.0-1
- bumping rhn-i18n-guides version to 5.7, initial build

* Fri Nov 14 2014 Tomas Lestach <tlestach@redhat.com> 5.6.0.1-4
- 1156328 - we do not want xmlrpc.rhn.redhat.com to be a link
- 1156328 - we do not want rhn.redhat.com to be a link

* Wed Sep 25 2013 Tomas Lestach <tlestach@redhat.com> 5.6.0.1-3
- Red Hat Network -> Red Hat Satellite for reference index page
- RHN Satellite Server -> Red Hat Satellite for installation index page

* Wed Sep 25 2013 Tomas Lestach <tlestach@redhat.com> 5.6.0.1-2
- do not link Red Hat Network 5.2.0 Proxy Guide PDF
- Red Hat Network Client Configuration Guide -> Client Configuration Guide

* Wed Sep 25 2013 Tomas Lestach <tlestach@redhat.com> 5.6.0.1-1
- add redirect pages for user guide and getting started guides
- removing Proxy Guides older than 5.2.0
- remove proxy related pdf files
- 5.6.0 en-US pdf files
- add proxy 560 link
- Channel Management Guide has been obsoleted
- 5.6.0 Getting_Started_Guide (new)
- 5.6.0 User_Guide (new)
- 5.6.0 Proxy_Installation_Guide
- 5.6.0 Client_Configuration_Guide
- 5.6.0 Installation_Guide
- 5.6.0 Reference_Guide

* Tue May 21 2013 Tomas Lestach <tlestach@redhat.com> 5.6.0.0-2
- increasing the release due to a wrong package build

* Thu Apr 04 2013 Tomas Lestach <tlestach@redhat.com> 5.6.0.0-1
- bumping version to 5.6

* Thu Apr 04 2013 Tomas Lestach <tlestach@redhat.com> 5.5.0.3-3
- 920959 - removing RHN Proxy Guide 4.1.5 PDF link
- 920959 - removing RHN Proxy Guide 5.2.0 PDF links

* Tue Jan 08 2013 Stephen Herr <sherr@redhat.com> 5.5.0.3-2
- 891254 - Adding files that were somehow removed in Sat 5.5 doc update

* Thu Nov 15 2012 Stephen Herr <sherr@redhat.com> 5.5.0.3-1
- 863245 - bumping package version so binary pdf files will be correctly added
  into source tarball

* Thu Nov 15 2012 Stephen Herr <sherr@redhat.com> 5.5.0.2-2
- 863245 - updating the english pdf guides

* Fri Nov 09 2012 Stephen Herr <sherr@redhat.com> 5.5.0.2-1
- bumping guides version number to get a proper rebuild

* Thu Nov 08 2012 Stephen Herr <sherr@redhat.com> 5.5.0.1-2
- 863245 - fixing proxy doc location

* Thu Oct 04 2012 Stephen Herr <sherr@redhat.com> 5.5.0.1-1
- bumping version to 5.5 (sherr@redhat.com)

* Wed Oct 03 2012 Stephen Herr <sherr@redhat.com> 5.4.0.9-1
- Sat 5.5 english docs (sherr@redhat.com)

* Mon May 30 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.8-1
- fix ta-IN Client_Configuration_Guide (tlestach@redhat.com)

* Mon May 30 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.7-1
- 5.4.0 Channel Management Guide pdfs (tlestach@redhat.com)
- 5.4.0 Client Configuration Guide pdfs (tlestach@redhat.com)
- 5.4.0 Reference Guide pdfs (tlestach@redhat.com)
- 5.4.0 Installlation Guide pdfs (tlestach@redhat.com)
- 5.4.0 Proxy Installation Guide (tlestach@redhat.com)
- 5.4.0 Reference Guide (tlestach@redhat.com)
- 5.4.0 Installation Guide (tlestach@redhat.com)
- 5.4.0 Client Configuration Guide (tlestach@redhat.com)
- 5.4.0 Channel Management Guide (tlestach@redhat.com)

* Mon Mar 07 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.6-1
- define tomcat macro for rhn-i18n-guides.spec (tlestach@redhat.com)

* Thu Mar 03 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.5-1
- build/require tomcat6 on rhel6 (tlestach@redhat.com)

* Fri Oct 01 2010 Justin Sherrill <jsherril@redhat.com> 5.4.0.4-1
- fixing proxy docs location (jsherril@redhat.com)

* Thu Sep 23 2010 Justin Sherrill <jsherril@redhat.com> 5.4.0.3-1
- rebuild 

* Thu Sep 23 2010 Justin Sherrill <jsherril@redhat.com> 5.4.0.2-1
- rebuild

* Wed Sep 22 2010 Justin Sherrill <jsherril@redhat.com> 5.4.0.1-1
- bumping version (jsherril@redhat.com)

* Wed Sep 22 2010 Justin Sherrill <jsherril@redhat.com> 5.3.0.17-1
- adding 5.4 docs (jsherril@redhat.com)

* Thu May 06 2010 Justin Sherrill <jsherril@redhat.com> 5.3.0.16-1
- another round of new doc fixes (jsherril@redhat.com)

* Fri Mar 26 2010 Justin Sherrill <jsherril@redhat.com> 5.3.0.15-1
- updating new sat 5.3.0 docs with bugfixes (jsherril@redhat.com)

* Wed Jan 20 2010 Justin Sherrill <jsherril@redhat.com> 5.3.0.12-1
- Fixing missing nav buttons (css)
* Tue Jan 19 2010 Justin Sherrill <jsherril@redhat.com> 5.3.0.11-1
- 5.3.1 proxy guide (jsherril@redhat.com)
- 5.3.1 reference guide (jsherril@redhat.com)
- 5.3.1 Installation guide (jsherril@redhat.com)
- 5.3.1 client config guide (jsherril@redhat.com)
- 5.3.1 channel mgmnt guide (jsherril@redhat.com)

* Mon Jul 13 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.9-1
- Update with the newest hardware reqs for x86_64 and s/390 added. (jha@redhat.com)

* Thu Jun 25 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.8-1
- 507821 - fix ISS config file references (jesusr@redhat.com)

* Thu Jun 18 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.7-1
- rebasing proxy guide (jesusr@redhat.com)

* Thu Jun 11 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.6-1
- rebase reference guide
- rebase client configuration guide
- rebase channel management guide
- rebase installation guide
- 503154 - Contradicting info about ISS settings usage (jha@redhat.com)
- 502832 - reflect changes in monitoring locations (jha@redhat.com)
- 195569 - Images go past right margin (jha@redhat.com)
- 400281 - rhnsd not seeing DNS update 
- 422611 - disclaimer requested for unsupported components in official
  packages (e.g., satrm.py) (jha@redhat.com)
- 431801 - Reference Guide Section 2 Does not cover RHEL 5 tools (jha@redhat.com)
- 459715 - old screenshot for sat configuration page (jha@redhat.com)
- 460341 - bungled "term" in the RHN Sat Installation Guide (jha@redhat.com)
- 487380 - SELinux rhnpush failure [Errno 17] File exists: '/var/satellite'
  (jha@redhat.com)
- 488462 - Recommended storage per channel size too low (jha@redhat.com)
- 500659 - Chapter 9. Multiple Organizations header is in Bold Italics font
  (jha@redhat.com)
- 431799 - add .longdesc to docnav.css (jesusr@redhat.com)

* Fri Jun 05 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.3-1
- change default perms to be 755

* Fri May 22 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.2-1
- i18n - channel mgmt guide (jesusr@redhat.com)
- i18n - client config guides (jesusr@redhat.com)
- i18n - Reference Guides (jesusr@redhat.com)
- i18n - Installation Guide (jesusr@redhat.com)

* Thu Apr 16 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.11-1
- internal urls now point to jsps instead of the html.
- remove versions from the text, include lang in link to Proxy guide

* Tue Apr 14 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.7-1
- 495113 - do not copy spec file to buildroot
- 490904 - added docnav.css back, so docs look better. (jesusr@redhat.com)

* Mon Apr 13 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.4-1
- rebuild

* Thu Apr 09 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.3-1
- add (Build)Requires tomcat5

* Tue Apr 07 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.2-1
- remove requirement on spacewalk-java

* Thu Apr 02 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.1-5
- rebuild

* Wed Apr 01 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.1-2
- forgot the pdf file
- proxy 5.3.0 installation guide
- converted Channel Management Guide
- remove my stupid tempfiles

* Tue Mar 24 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.1-1
- remove files.list nonsense
- remove reliance on version and source files

* Thu Sep 25 2008 Jan Pazdziora 5.2.0-2
- rebuild for bugzilla 459552

* Mon Sep  8 2008 Jan Pazdziora 5.2.0-1
- rebuild in brew for 5.2.0
